<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:16 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TimeSwitch (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TimeSwitch (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TimeSwitch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeXMLProcessor.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" target="_top">Frames</a></li>
<li><a href="TimeSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.util</div>
<h2 title="Class TimeSwitch" class="title">Class TimeSwitch&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.util.Switch&lt;T&gt;</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.util.TimeSwitch&lt;T&gt;</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">TimeSwitch&lt;T&gt;</span>
extends org.eclipse.emf.ecore.util.Switch&lt;T&gt;</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Switch</b> for the model's inheritance hierarchy.
 It supports the call <code>doSwitch(object)</code>
 to invoke the <code>caseXXX</code> method for each class of the model,
 starting with the actual class of the object
 and proceeding up the inheritance hierarchy
 until a non-null result is returned,
 which is the result of the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time"><code>TimePackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimePackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#modelPackage">modelPackage</a></span></code>
<div class="block">The cached model package
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#TimeSwitch--">TimeSwitch</a></span>()</code>
<div class="block">Creates an instance of the switch.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#caseClock-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.Clock-">caseClock</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Clock</em>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#caseClockConstraint-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.ClockConstraint-">caseClockConstraint</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockConstraint</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Clock Constraint</em>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#caseClockType-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.ClockType-">caseClockType</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockType</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Clock Type</em>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#caseNfpConstraint-org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.NfpConstraint-">caseNfpConstraint</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NfpConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NfpConstraint</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Nfp Constraint</em>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#caseTimedConstraint-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedConstraint-">caseTimedConstraint</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedConstraint</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Constraint</em>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#caseTimedDomain-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedDomain-">caseTimedDomain</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedDomain.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedDomain</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Domain</em>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#caseTimedDurationObservation-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedDurationObservation-">caseTimedDurationObservation</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedDurationObservation.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedDurationObservation</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Duration Observation</em>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#caseTimedElement-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedElement-">caseTimedElement</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedElement.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedElement</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Element</em>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#caseTimedEvent-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedEvent-">caseTimedEvent</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedEvent</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Event</em>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#caseTimedInstantObservation-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedInstantObservation-">caseTimedInstantObservation</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedInstantObservation.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedInstantObservation</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Instant Observation</em>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#caseTimedProcessing-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedProcessing-">caseTimedProcessing</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedProcessing</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Processing</em>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#caseTimedValueSpecification-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedValueSpecification-">caseTimedValueSpecification</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedValueSpecification.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedValueSpecification</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Value Specification</em>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#defaultCase-org.eclipse.emf.ecore.EObject-">defaultCase</a></span>(org.eclipse.emf.ecore.EObject&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>EObject</em>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#doSwitch-int-org.eclipse.emf.ecore.EObject-">doSwitch</a></span>(int&nbsp;classifierID,
        org.eclipse.emf.ecore.EObject&nbsp;theEObject)</code>
<div class="block">Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html#isSwitchFor-org.eclipse.emf.ecore.EPackage-">isSwitchFor</a></span>(org.eclipse.emf.ecore.EPackage&nbsp;ePackage)</code>
<div class="block">Checks whether this is a switch for the given package.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.util.Switch">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.util.Switch</h3>
<code>doSwitch, doSwitch</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="modelPackage">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>modelPackage</h4>
<pre>protected static&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimePackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimePackage</a> modelPackage</pre>
<div class="block">The cached model package
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TimeSwitch--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TimeSwitch</h4>
<pre>public&nbsp;TimeSwitch()</pre>
<div class="block">Creates an instance of the switch.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isSwitchFor-org.eclipse.emf.ecore.EPackage-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSwitchFor</h4>
<pre>protected&nbsp;boolean&nbsp;isSwitchFor(org.eclipse.emf.ecore.EPackage&nbsp;ePackage)</pre>
<div class="block">Checks whether this is a switch for the given package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isSwitchFor</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>ePackage</code> - the package in question.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether this is a switch for the given package.</dd>
</dl>
</li>
</ul>
<a name="doSwitch-int-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doSwitch</h4>
<pre>protected&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;doSwitch(int&nbsp;classifierID,
                     org.eclipse.emf.ecore.EObject&nbsp;theEObject)</pre>
<div class="block">Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>doSwitch</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the first non-null result returned by a <code>caseXXX</code> call.</dd>
</dl>
</li>
</ul>
<a name="caseTimedDomain-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedDomain-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTimedDomain</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;caseTimedDomain(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedDomain.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedDomain</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Domain</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Timed Domain</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseClock-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.Clock-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseClock</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;caseClock(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/Clock.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">Clock</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Clock</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Clock</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseClockType-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.ClockType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseClockType</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;caseClockType(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockType.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockType</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Clock Type</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Clock Type</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTimedElement-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedElement-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTimedElement</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;caseTimedElement(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedElement.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedElement</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Element</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Timed Element</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTimedValueSpecification-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedValueSpecification-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTimedValueSpecification</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;caseTimedValueSpecification(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedValueSpecification.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedValueSpecification</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Value Specification</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Timed Value Specification</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTimedConstraint-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedConstraint-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTimedConstraint</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;caseTimedConstraint(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedConstraint</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Constraint</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Timed Constraint</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseClockConstraint-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.ClockConstraint-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseClockConstraint</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;caseClockConstraint(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/ClockConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">ClockConstraint</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Clock Constraint</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Clock Constraint</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTimedInstantObservation-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedInstantObservation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTimedInstantObservation</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;caseTimedInstantObservation(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedInstantObservation.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedInstantObservation</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Instant Observation</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Timed Instant Observation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTimedDurationObservation-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedDurationObservation-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTimedDurationObservation</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;caseTimedDurationObservation(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedDurationObservation.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedDurationObservation</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Duration Observation</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Timed Duration Observation</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTimedEvent-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTimedEvent</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;caseTimedEvent(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedEvent.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedEvent</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Event</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Timed Event</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseTimedProcessing-org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.TimedProcessing-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseTimedProcessing</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;caseTimedProcessing(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/TimedProcessing.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time">TimedProcessing</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Timed Processing</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Timed Processing</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="caseNfpConstraint-org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs.NfpConstraint-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>caseNfpConstraint</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;caseNfpConstraint(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/NFPs/NfpConstraint.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.NFPs">NfpConstraint</a>&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Nfp Constraint</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>Nfp Constraint</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>doSwitch(EObject)</code></dd>
</dl>
</li>
</ul>
<a name="defaultCase-org.eclipse.emf.ecore.EObject-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>defaultCase</h4>
<pre>public&nbsp;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&nbsp;defaultCase(org.eclipse.emf.ecore.EObject&nbsp;object)</pre>
<div class="block">Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
 <!-- begin-user-doc -->
 This implementation returns null;
 returning a non-null result will terminate the switch, but this is the last case anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>defaultCase</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.util.Switch&lt;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" title="type parameter in TimeSwitch">T</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>object</code> - the target of the switch.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the result of interpreting the object as an instance of '<em>EObject</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>Switch.doSwitch(org.eclipse.emf.ecore.EObject)</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TimeSwitch.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeXMLProcessor.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.Time.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/Time/util/TimeSwitch.html" target="_top">Frames</a></li>
<li><a href="TimeSwitch.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
